commit:     566f4d032300984b14e1ee3325d01d3a2ec2cdde
Author:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 18 07:12:06 2015 +0000
Commit:     Sergey Popov <pinkbyte <AT> gentoo <DOT> org>
CommitDate: Wed Nov 18 07:14:03 2015 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=566f4d03

leechcraft.eclass: correct EAPI support sentence in comments, reorganize 
compiler version check

 eclass/leechcraft.eclass | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

diff --git a/eclass/leechcraft.eclass b/eclass/leechcraft.eclass
index b9fc73b..ffc647a 100644
--- a/eclass/leechcraft.eclass
+++ b/eclass/leechcraft.eclass
@@ -19,7 +19,7 @@
 #
 # Thanks for original eclass to Andrian Nord <[email protected]>.
 #
-# Only EAPI >1 supported
+# Only EAPI >3 supported
 
 case ${EAPI:-0} in
        4|5) ;;
@@ -68,15 +68,13 @@ EXPORT_FUNCTIONS "pkg_pretend"
 leechcraft_pkg_pretend() {
        debug-print-function ${FUNCNAME} "$@"
 
-       # 0.5.85 and later requires at least gcc 4.6
        if [[ ${MERGE_TYPE} != binary ]]; then
+               # All in-tree versions require at least gcc 4.6
                [[ $(gcc-major-version) -lt 4 ]] || \
                                ( [[ $(gcc-major-version) -eq 4 && 
$(gcc-minor-version) -lt 6 ]] ) \
                        && die "Sorry, but gcc 4.6 or higher is required."
-       fi
-       if version_is_at_least 0.6.66 || ( [[ ${PN} == lc-monocle ]] && 
version_is_at_least 0.6.65 ); then
                # 0.6.65 monocle and all later plugins require at least gcc 4.8
-               if [[ ${MERGE_TYPE} != binary ]]; then
+               if version_is_at_least 0.6.66 || ( [[ ${PN} == lc-monocle ]] && 
version_is_at_least 0.6.65 ); then
                        [[ $(gcc-major-version) -lt 4 ]] || \
                                        ( [[ $(gcc-major-version) -eq 4 && 
$(gcc-minor-version) -lt 8 ]] ) \
                                && die "Sorry, but gcc 4.8 or higher is 
required."

Reply via email to